> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get address registry participation status for the authenticated workspace

> Returns whether the workspace is `OPTED_IN` or `OPTED_OUT` of the address registry.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /address_registry/tenant
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /address_registry/tenant:
    get:
      tags:
        - Compliance
      summary: >-
        Get address registry participation status for the authenticated
        workspace
      description: >-
        Returns whether the workspace is `OPTED_IN` or `OPTED_OUT` of the
        address registry.
      operationId: getAddressRegistryTenantParticipationStatus
      responses:
        '200':
          description: Participation status in the response body
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressRegistryTenantRegistryResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<AddressRegistryTenantRegistryResponse>> =
            fireblocks.compliance.getAddressRegistryTenantParticipationStatus();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AddressRegistryTenantRegistryResponse>>
            response =
            fireblocks.compliance().getAddressRegistryTenantParticipationStatus();
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.get_address_registry_tenant_participation_status();
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    AddressRegistryTenantRegistryResponse:
      type: object
      description: >-
        Workspace participation in the address registry. Same shape for GET,
        POST (opt in), and DELETE (opt out).
      properties:
        status:
          type: string
          description: OPTED_IN or OPTED_OUT.
          enum:
            - OPTED_IN
            - OPTED_OUT
          example: OPTED_IN
      required:
        - status
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````